summaryrefslogtreecommitdiffstats
path: root/system/redict/rc.redict.new
diff options
context:
space:
mode:
Diffstat (limited to 'system/redict/rc.redict.new')
-rw-r--r--system/redict/rc.redict.new61
1 files changed, 61 insertions, 0 deletions
diff --git a/system/redict/rc.redict.new b/system/redict/rc.redict.new
new file mode 100644
index 0000000000..9d1642d6ec
--- /dev/null
+++ b/system/redict/rc.redict.new
@@ -0,0 +1,61 @@
+#!/bin/sh
+#
+# Redict startup script for Slackware Linux
+
+PORT=6379
+SERV=/usr/bin/redict-server
+CLI=/usr/bin/redict-cli
+PIDFILE=/var/run/redict_${PORT}.pid
+CONF=/etc/redict/redict.conf
+
+redict_start() {
+ if [ ! -r $CONF ]; then
+ echo "$CONF does not appear to exist. Abort."
+ exit 1
+ fi
+
+ if [ -s $PIDFILE ]; then
+ echo "Redict appears to be already running?"
+ exit 1
+ fi
+
+ echo "Starting Redict server..."
+ $SERV $CONF
+}
+
+redict_stop() {
+ if [ ! -s $PIDFILE ]; then
+ echo "$PIDFILE does not exist or is empty."
+ exit 1
+ fi
+
+ PID=$(cat $PIDFILE)
+ echo -n "Stopping Redict server..."
+ $CLI -p $PORT shutdown
+ while [ -d /proc/$PID ]; do
+ sleep 1
+ echo -n "."
+ done
+ echo " done"
+}
+
+redict_restart() {
+ redict_stop
+ sleep 3
+ redict_start
+}
+
+case "$1" in
+ start)
+ redict_start
+ ;;
+ stop)
+ redict_stop
+ ;;
+ restart)
+ redict_restart
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac